package de.duehl.swing.ui.text.data;

/*
 * Copyright 2019 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

/**
 * Dieser TextWorker gibt den Text unverändert zurück.
 *
 * @version 1.01     2019-07-02
 * @author Christian Dühl
 */

public class UnchangedTextWorker implements TextWorker {

    @Override
    public String workOnText(String text) {
        return text;
    }

}
